package cn.com.qmth.stmms.ms.accesscontrol.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

@Configuration
public class LoginConfig {

    @Bean
    @ConfigurationProperties(prefix = "app.admin", ignoreUnknownFields = false)
    public AdminLoginConfig adminLoginConfig() {
        return new AdminLoginConfig();
    }

    @Bean
    @ConfigurationProperties(prefix = "app.client", ignoreUnknownFields = false)
    public ClientLoginConfig clientLoginConfig() {
        return new ClientLoginConfig();
    }
}
